<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:29 CEST 2014 -->
<title>Uses of Interface org.java_websocket.WebSocket</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Interface org.java_websocket.WebSocket";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/class-use/WebSocket.html" target="_top">Frames</a></li>
<li><a href="WebSocket.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.java_websocket.WebSocket" class="title">Uses of Interface<br>org.java_websocket.WebSocket</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm">fr.inria.alpage.frmgcm</a></td>
<td class="colLast">
<div class="block">This package contains the main entry point of the application and the global configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.server">fr.inria.alpage.frmgcm.server</a></td>
<td class="colLast">
<div class="block">This package contains the classes defining the server(s) run by the application.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.java_websocket">org.java_websocket</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.java_websocket.client">org.java_websocket.client</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.java_websocket.server">org.java_websocket.server</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="fr.inria.alpage.frmgcm">
<!--   -->
</a>
<h3>Uses of <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a> in <a href="../../../fr/inria/alpage/frmgcm/package-summary.html">fr.inria.alpage.frmgcm</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../fr/inria/alpage/frmgcm/package-summary.html">fr.inria.alpage.frmgcm</a> with parameters of type <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm">AppMain.User</a></code></td>
<td class="colLast"><span class="strong">AppMain.</span><code><strong><a href="../../../fr/inria/alpage/frmgcm/AppMain.html#AuthenticateConnexion(org.java_websocket.WebSocket)">AuthenticateConnexion</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm">AppMain.User</a></code></td>
<td class="colLast"><span class="strong">AppMain.</span><code><strong><a href="../../../fr/inria/alpage/frmgcm/AppMain.html#AuthenticateConnexion(org.java_websocket.WebSocket,%20java.lang.String)">AuthenticateConnexion</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                     java.lang.String&nbsp;key)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="strong">AppMain.</span><code><strong><a href="../../../fr/inria/alpage/frmgcm/AppMain.html#RemoveUser(org.java_websocket.WebSocket)">RemoveUser</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.server">
<!--   -->
</a>
<h3>Uses of <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a> in <a href="../../../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a> with parameters of type <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">FRMGWebSocketServer.</span><code><strong><a href="../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#onClose(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onClose</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
       int&nbsp;code,
       java.lang.String&nbsp;reason,
       boolean&nbsp;remote)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">FRMGWebSocketServer.</span><code><strong><a href="../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#onError(org.java_websocket.WebSocket,%20java.lang.Exception)">onError</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
       java.lang.Exception&nbsp;ex)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">FRMGWebSocketServer.</span><code><strong><a href="../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#onFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onFragment</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
          <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;fragment)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">FRMGWebSocketServer.</span><code><strong><a href="../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#onMessage(org.java_websocket.WebSocket,%20java.lang.String)">onMessage</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
         java.lang.String&nbsp;message)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">FRMGWebSocketServer.</span><code><strong><a href="../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#onOpen(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake)">onOpen</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
      <a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;handshake)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">FRMGWebSocketServer.</span><code><strong><a href="../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#sendToAll(java.lang.String,%20org.java_websocket.WebSocket)">sendToAll</a></strong>(java.lang.String&nbsp;text,
         <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;except)</code>
<div class="block">Sends <var>text</var> to all currently connected WebSocket clients.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket">
<!--   -->
</a>
<h3>Uses of <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a> in <a href="../../../org/java_websocket/package-summary.html">org.java_websocket</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../org/java_websocket/package-summary.html">org.java_websocket</a> that implement <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></strong></code>
<div class="block">Represents one end (client or server) of a single WebSocketImpl connection.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../org/java_websocket/package-summary.html">org.java_websocket</a> that return <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></code></td>
<td class="colLast"><span class="strong">WebSocketFactory.</span><code><strong><a href="../../../org/java_websocket/WebSocketFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               <a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></code></td>
<td class="colLast"><span class="strong">WebSocketFactory.</span><code><strong><a href="../../../org/java_websocket/WebSocketFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               java.util.List&lt;<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;drafts,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../org/java_websocket/package-summary.html">org.java_websocket</a> with parameters of type <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><span class="strong">WebSocketAdapter.</span><code><strong><a href="../../../org/java_websocket/WebSocketAdapter.html#getFlashPolicy(org.java_websocket.WebSocket)">getFlashPolicy</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>
<div class="block">Gets the XML string that should be returned if a client requests a Flash
 security policy.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#getFlashPolicy(org.java_websocket.WebSocket)">getFlashPolicy</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>
<div class="block">Gets the XML string that should be returned if a client requests a Flash
 security policy.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.net.InetSocketAddress</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#getLocalSocketAddress(org.java_websocket.WebSocket)">getLocalSocketAddress</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.net.InetSocketAddress</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#getRemoteSocketAddress(org.java_websocket.WebSocket)">getRemoteSocketAddress</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketClose(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onWebsocketClose</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;ws,
                int&nbsp;code,
                java.lang.String&nbsp;reason,
                boolean&nbsp;remote)</code>
<div class="block">Called after <tt>WebSocket#close</tt> is explicity called, or when the
 other end of the WebSocket connection is closed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketCloseInitiated(org.java_websocket.WebSocket,%20int,%20java.lang.String)">onWebsocketCloseInitiated</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;ws,
                         int&nbsp;code,
                         java.lang.String&nbsp;reason)</code>
<div class="block">send when this peer sends a close handshake</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketClosing(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onWebsocketClosing</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;ws,
                  int&nbsp;code,
                  java.lang.String&nbsp;reason,
                  boolean&nbsp;remote)</code>
<div class="block">called as soon as no further frames are accepted</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketError(org.java_websocket.WebSocket,%20java.lang.Exception)">onWebsocketError</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                java.lang.Exception&nbsp;ex)</code>
<div class="block">Called if an exception worth noting occurred.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketAdapter.</span><code><strong><a href="../../../org/java_websocket/WebSocketAdapter.html#onWebsocketHandshakeReceivedAsClient(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake,%20org.java_websocket.handshake.ServerHandshake)">onWebsocketHandshakeReceivedAsClient</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                    <a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request,
                                    <a href="../../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake">ServerHandshake</a>&nbsp;response)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketHandshakeReceivedAsClient(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake,%20org.java_websocket.handshake.ServerHandshake)">onWebsocketHandshakeReceivedAsClient</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                    <a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request,
                                    <a href="../../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake">ServerHandshake</a>&nbsp;response)</code>
<div class="block">Called on the client side when the socket connection is first established, and the WebSocketImpl
 handshake response has been received.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></code></td>
<td class="colLast"><span class="strong">WebSocketAdapter.</span><code><strong><a href="../../../org/java_websocket/WebSocketAdapter.html#onWebsocketHandshakeReceivedAsServer(org.java_websocket.WebSocket,%20org.java_websocket.drafts.Draft,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeReceivedAsServer</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                    <a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;draft,
                                    <a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)</code>
<div class="block">This default implementation does not do anything.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketHandshakeReceivedAsServer(org.java_websocket.WebSocket,%20org.java_websocket.drafts.Draft,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeReceivedAsServer</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                    <a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;draft,
                                    <a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)</code>
<div class="block">Called on the server side when the socket connection is first established, and the WebSocket
 handshake has been received.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketAdapter.</span><code><strong><a href="../../../org/java_websocket/WebSocketAdapter.html#onWebsocketHandshakeSentAsClient(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeSentAsClient</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                <a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)</code>
<div class="block">This default implementation does not do anything which will cause the connections to always progress.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketHandshakeSentAsClient(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeSentAsClient</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                <a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)</code>
<div class="block">Called on the client side when the socket connection is first established, and the WebSocketImpl
 handshake has just been sent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketMessage(org.java_websocket.WebSocket,%20java.nio.ByteBuffer)">onWebsocketMessage</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                  java.nio.ByteBuffer&nbsp;blob)</code>
<div class="block">Called when an entire binary frame has been received.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketMessage(org.java_websocket.WebSocket,%20java.lang.String)">onWebsocketMessage</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                  java.lang.String&nbsp;message)</code>
<div class="block">Called when an entire text frame has been received.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketAdapter.</span><code><strong><a href="../../../org/java_websocket/WebSocketAdapter.html#onWebsocketMessageFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketMessageFragment</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                          <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;frame)</code>
<div class="block">This default implementation does not do anything.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketMessageFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketMessageFragment</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                          <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;frame)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketOpen(org.java_websocket.WebSocket,%20org.java_websocket.handshake.Handshakedata)">onWebsocketOpen</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../../org/java_websocket/handshake/Handshakedata.html" title="interface in org.java_websocket.handshake">Handshakedata</a>&nbsp;d)</code>
<div class="block">Called after <var>onHandshakeReceived</var> returns <var>true</var>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketAdapter.</span><code><strong><a href="../../../org/java_websocket/WebSocketAdapter.html#onWebsocketPing(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPing</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">This default implementation will send a pong in response to the received ping.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketPing(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPing</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">Called a ping frame has been received.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketAdapter.</span><code><strong><a href="../../../org/java_websocket/WebSocketAdapter.html#onWebsocketPong(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPong</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">This default implementation does not do anything.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWebsocketPong(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketPong</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">Called when a pong frame is received.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../org/java_websocket/WebSocketListener.html#onWriteDemand(org.java_websocket.WebSocket)">onWriteDemand</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>
<div class="block">This method is used to inform the selector thread that there is data queued to be written to the socket.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.client">
<!--   -->
</a>
<h3>Uses of <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a> in <a href="../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a> that implement <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html" title="class in org.java_websocket.client">WebSocketClient</a></strong></code>
<div class="block">A subclass must implement at least <var>onOpen</var>, <var>onClose</var>, and <var>onMessage</var> to be
 useful.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a> that return <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#getConnection()">getConnection</a></strong>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a> with parameters of type <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.net.InetSocketAddress</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#getLocalSocketAddress(org.java_websocket.WebSocket)">getLocalSocketAddress</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.net.InetSocketAddress</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#getRemoteSocketAddress(org.java_websocket.WebSocket)">getRemoteSocketAddress</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#onWebsocketClose(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onWebsocketClose</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                int&nbsp;code,
                java.lang.String&nbsp;reason,
                boolean&nbsp;remote)</code>
<div class="block">Calls subclass' implementation of <var>onClose</var>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#onWebsocketCloseInitiated(org.java_websocket.WebSocket,%20int,%20java.lang.String)">onWebsocketCloseInitiated</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                         int&nbsp;code,
                         java.lang.String&nbsp;reason)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#onWebsocketClosing(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onWebsocketClosing</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                  int&nbsp;code,
                  java.lang.String&nbsp;reason,
                  boolean&nbsp;remote)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#onWebsocketError(org.java_websocket.WebSocket,%20java.lang.Exception)">onWebsocketError</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                java.lang.Exception&nbsp;ex)</code>
<div class="block">Calls subclass' implementation of <var>onIOError</var>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#onWebsocketMessage(org.java_websocket.WebSocket,%20java.nio.ByteBuffer)">onWebsocketMessage</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                  java.nio.ByteBuffer&nbsp;blob)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#onWebsocketMessage(org.java_websocket.WebSocket,%20java.lang.String)">onWebsocketMessage</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                  java.lang.String&nbsp;message)</code>
<div class="block">Calls subclass' implementation of <var>onMessage</var>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#onWebsocketMessageFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketMessageFragment</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                          <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;frame)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#onWebsocketOpen(org.java_websocket.WebSocket,%20org.java_websocket.handshake.Handshakedata)">onWebsocketOpen</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../../org/java_websocket/handshake/Handshakedata.html" title="interface in org.java_websocket.handshake">Handshakedata</a>&nbsp;handshake)</code>
<div class="block">Calls subclass' implementation of <var>onOpen</var>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html#onWriteDemand(org.java_websocket.WebSocket)">onWriteDemand</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.server">
<!--   -->
</a>
<h3>Uses of <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a> in <a href="../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a> with type parameters of type <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Collection&lt;<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&gt;</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#connections">connections</a></strong></code>
<div class="block">Holds the list of active WebSocket connections.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a> that return types with arguments of type <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.Collection&lt;<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&gt;</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#connections()">connections</a></strong>()</code>
<div class="block">Returns a WebSocket[] of currently connected clients.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a> with parameters of type <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#addConnection(org.java_websocket.WebSocket)">addConnection</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;ws)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#allocateBuffers(org.java_websocket.WebSocket)">allocateBuffers</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.net.InetSocketAddress</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#getLocalSocketAddress(org.java_websocket.WebSocket)">getLocalSocketAddress</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.net.InetSocketAddress</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#getRemoteSocketAddress(org.java_websocket.WebSocket)">getRemoteSocketAddress</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.net.Socket</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#getSocket(org.java_websocket.WebSocket)">getSocket</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#handleFatal(org.java_websocket.WebSocket,%20java.lang.Exception)">handleFatal</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
           java.lang.Exception&nbsp;e)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#handleIOException(java.nio.channels.SelectionKey,%20org.java_websocket.WebSocket,%20java.io.IOException)">handleIOException</a></strong>(java.nio.channels.SelectionKey&nbsp;key,
                 <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                 java.io.IOException&nbsp;ex)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onClose(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onClose</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
       int&nbsp;code,
       java.lang.String&nbsp;reason,
       boolean&nbsp;remote)</code>
<div class="block">Called after the websocket connection has been closed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onCloseInitiated(org.java_websocket.WebSocket,%20int,%20java.lang.String)">onCloseInitiated</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                int&nbsp;code,
                java.lang.String&nbsp;reason)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onClosing(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onClosing</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
         int&nbsp;code,
         java.lang.String&nbsp;reason,
         boolean&nbsp;remote)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onError(org.java_websocket.WebSocket,%20java.lang.Exception)">onError</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
       java.lang.Exception&nbsp;ex)</code>
<div class="block">Called when errors occurs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onFragment</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
          <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;fragment)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onMessage(org.java_websocket.WebSocket,%20java.nio.ByteBuffer)">onMessage</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
         java.nio.ByteBuffer&nbsp;message)</code>
<div class="block">Callback for binary messages received from the remote host</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onMessage(org.java_websocket.WebSocket,%20java.lang.String)">onMessage</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
         java.lang.String&nbsp;message)</code>
<div class="block">Callback for string messages received from the remote host</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onOpen(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake)">onOpen</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
      <a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;handshake)</code>
<div class="block">Called after an opening handshake has been performed and the given websocket is ready to be written on.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onWebsocketClose(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onWebsocketClose</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                int&nbsp;code,
                java.lang.String&nbsp;reason,
                boolean&nbsp;remote)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onWebsocketCloseInitiated(org.java_websocket.WebSocket,%20int,%20java.lang.String)">onWebsocketCloseInitiated</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                         int&nbsp;code,
                         java.lang.String&nbsp;reason)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onWebsocketClosing(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onWebsocketClosing</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                  int&nbsp;code,
                  java.lang.String&nbsp;reason,
                  boolean&nbsp;remote)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onWebsocketError(org.java_websocket.WebSocket,%20java.lang.Exception)">onWebsocketError</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                java.lang.Exception&nbsp;ex)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onWebsocketHandshakeReceivedAsServer(org.java_websocket.WebSocket,%20org.java_websocket.drafts.Draft,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeReceivedAsServer</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                    <a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;draft,
                                    <a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onWebsocketMessage(org.java_websocket.WebSocket,%20java.nio.ByteBuffer)">onWebsocketMessage</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                  java.nio.ByteBuffer&nbsp;blob)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onWebsocketMessage(org.java_websocket.WebSocket,%20java.lang.String)">onWebsocketMessage</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                  java.lang.String&nbsp;message)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onWebsocketMessageFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onWebsocketMessageFragment</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                          <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;frame)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onWebsocketOpen(org.java_websocket.WebSocket,%20org.java_websocket.handshake.Handshakedata)">onWebsocketOpen</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
               <a href="../../../org/java_websocket/handshake/Handshakedata.html" title="interface in org.java_websocket.handshake">Handshakedata</a>&nbsp;handshake)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#onWriteDemand(org.java_websocket.WebSocket)">onWriteDemand</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;w)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#releaseBuffers(org.java_websocket.WebSocket)">releaseBuffers</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#removeConnection(org.java_websocket.WebSocket)">removeConnection</a></strong>(<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;ws)</code>
<div class="block">This method performs remove operations on the connection and therefore also gives control over whether the operation shall be synchronized</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a> with type arguments of type <a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html#WebSocketServer(java.net.InetSocketAddress,%20int,%20java.util.List,%20java.util.Collection)">WebSocketServer</a></strong>(java.net.InetSocketAddress&nbsp;address,
               int&nbsp;decodercount,
               java.util.List&lt;<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;drafts,
               java.util.Collection&lt;<a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&gt;&nbsp;connectionscontainer)</code>
<div class="block">Creates a WebSocketServer that will attempt to bind/listen on the given <var>address</var>,
 and comply with <tt>Draft</tt> version <var>draft</var>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/class-use/WebSocket.html" target="_top">Frames</a></li>
<li><a href="WebSocket.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
